Name: qlandkartegt
Version: 0.16.0
Release: 2%{?dist}
Summary: GPS device mapping tool

Group: Applications/Communications
License: GPLv2+
URL: http://www.qlandkarte.org/
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
# temporary fix until http://bugzilla.redhat.com/show_bug.cgi?id=498111 is resolved
Patch0: %{name}-0.16.0-nogtkstyle.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: garmindev(interface) = 1.16

BuildRequires: cmake qt4-devel proj-devel gdal-devel desktop-file-utils
BuildRequires: libexif-devel


%description
QLandkarte GT is the ultimate outdoor aficionado's tool for GPS maps in
GeoTiff format as well as Garmin's img vector map format. Additional it is
the PC side frontend to QLandkarte M, a moving map application for mobile
devices. And it fills the gap Garmin leaves in refusing to support Linux.
QLandkarte GT is the proof that writing portable applications for Unix,
Windows and OSX is feasible with a minimum of overhead. No excuses!

QLandkarte GT does replace the original QLandkarte with a much more
flexible architecture. It's not limited to a map format or device. Thus
if you think your Magellan GPS or other should be supported, join the team.

Additionally it is a front end to the GDAL tools, to make georeferencing
scanned maps feasible for the normal user. Compared to similar tools like
QGis, it's target users are more on the consumer side than on the scientific
one. QLandkarte GT might not let you select every possible feature of the
GDAL tools, but it will simplify their use to the demands of most users.


%prep
%setup -q
%patch0 -p1 -b .nogtkstyle

# create build direcotory
mkdir build


%build
cd build
%cmake -DBUILD_SHARED_LIBS:BOOL=OFF ..
make VERBOSE=1 %{?_smp_mflags}


%install
rm -rf %{buildroot}
cd build
make install DESTDIR=%{buildroot}

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc copying changelog.txt
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.*


%changelog
* Fri Nov  6 2009 Dan Horák <dan[at]danny.cz> 0.16.0-2
- don't build the 3rd party stuff as shared libraries

* Thu Oct 29 2009 Dan Horák <dan[at]danny.cz> 0.16.0-1
- update to 0.16.0

* Sat Sep 19 2009 Dan Horák <dan[at]danny.cz> 0.15.1-1
- update to 0.15.1

* Fri Aug 21 2009 Dan Horák <dan[at]danny.cz> 0.15.0-1
- update to 0.15.0

* Mon Jul 20 2009 Dan Horak <dan[at]danny.cz> 0.14.1-1
- update to 0.14.1
- add workaround for #498111

* Wed Apr 15 2009 Dan Horak <dan[at]danny.cz> 0.11.1-1
- update to 0.11.1

* Tue Mar 10 2009 Dan Horak <dan[at]danny.cz> 0.11.0-1
- update to 0.11.0

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb  6 2009 Dan Horak <dan[at]danny.cz> 0.10.0-1
- update to 0.10.0

* Fri Jan  2 2009 Dan Horak <dan[at]danny.cz> 0.9.3-1
- update to 0.9.3

* Tue Dec 23 2008 Dan Horak <dan[at]danny.cz> 0.9.2-1
- update to 0.9.2

* Fri Dec  5 2008 Dan Horak <dan[at]danny.cz> 0.9.1-1
- update to 0.9.1

* Tue Nov 25 2008 Dan Horak <dan[at]danny.cz> 0.9.0-1
- update to 0.9.0
- drop upstreamed sources and patch

* Wed Nov 19 2008 Dan Horak <dan[at]danny.cz> 0.8.1-3
- require garmindev(interface) = 1.15 for correct interraction with the Germin GPS drivers
- add comment to the patch0

* Sun Nov 16 2008 Dan Horak <dan[at]danny.cz> 0.8.1-2
- add patch for bigendian arches

* Fri Nov 14 2008 Dan Horak <dan[at]danny.cz> 0.8.1-1
- initial Fedora version
